package com.ningdatech.pmapi.todocenter.bean.entity;

import com.wflow.workflow.bean.vo.ProcessHandlerParamsVo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Collections;
import java.util.List;

/**
 * 审核意见实体
 *
 * @author CMM
 * @since 2023/02/01 16:25
 */
@Data
@Builder
@NoArgsConstructor
public class ProcessComment {
    /**
     * 文字评论
     */
    protected String text;
    /**
     * 评论附件
     */
    protected List<Attachment> attachments;

    public ProcessComment(String text, List<Attachment> attachments) {
        this.text = text;
        this.attachments = null == attachments ? Collections.emptyList() : attachments;
    }
}
