package com.ningdatech.pmapi.todocenter.enums;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.StringUtils;

import java.util.Objects;

/**
 * 流程处理类型
 * @author CMM
 * @since 2023/02/01 16:58
 */
@Getter
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "ProcessHandlerEnum", description = "流程处理类型-枚举")
public enum ProcessHandlerEnum {
    /**
     * 通过
     */

    PASS(1, "通过"),

    /**
     * 盖章并通过
     */
    SEAL_PASS(2, "盖章并通过"),

    /**
     * 退回
     */
    BACK(3,"退回"),

    /**
     * 撤回
     */
    WITHDRAW(4,"撤回"),
    /**
     * 驳回
     */
    REJECT(5,"驳回");


    private Integer code;
    private String desc;

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public static String getDescByCode(Integer code) {
        if(Objects.isNull(code)){
            return StringUtils.EMPTY;
        }
        for (ProcessHandlerEnum t : ProcessHandlerEnum.values()) {
            if (code.equals(t.getCode())) {
                return t.desc;
            }
        }
        return StringUtils.EMPTY;
    }

    public static Integer getCodeByDesc(String desc) {
        if(Objects.isNull(desc)){
            return null;
        }
        for (ProcessHandlerEnum t : ProcessHandlerEnum.values()) {
            if (desc.equals(t.getCode())) {
                return t.code;
            }
        }
        return null;
    }

    public static ProcessHandlerEnum getEnumByValue(Integer code) {
        if(Objects.isNull(code)){
            return null;
        }
        for (ProcessHandlerEnum t : ProcessHandlerEnum.values()) {
            if (code.equals(t.getCode())) {
                return t;
            }
        }
        return null;
    }

    public boolean eq(String val) {
        return this.name().equals(val);
    }
}
