package com.ningdatech.pmapi.todocenter.model.dto.res;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 待办中心待我处理项目列表导出实体
 *
 * @author CMM
 * @since 2023/01/19 16:42
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ResToBeExportDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ExcelProperty("项目名称")
    private String projectName;

    @ExcelProperty("申报单位")
    private String buildUnitName;

    @ExcelProperty("申报金额")
    private Integer declareAmount;

    @ExcelProperty("预算年度")
    private Integer projectYear;

    @ExcelProperty("流程状态")
    private String processStatusName;

    @ExcelProperty("发起时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime processLaunchTime;
}
